SET LINESIZE 120
SET PAGESIZE 0
SET TRIMSPOOL ON
SET TRIMOUT ON
COL constraint_name FORMAT a20
COL owner FORMAT a20
COL table_name FORMAT a20
SELECT acc.constraint_name, acc.owner, acc.table_name,
       acc.column_name, acc.position
  FROM dba_constraints ac, dba_cons_columns acc
 WHERE ac.constraint_type ='R'
   AND acc.owner = 'ENTWICKLER'
   AND acc.table_name = ac.table_name
   AND (acc.owner, acc.table_name, acc.column_name) 
   NOT IN (SELECT aic.table_owner, aic.table_name, aic.column_name
             FROM dba_ind_columns aic);
