SELECT sta.*
  FROM shdb_standorte sta, shdb_standort_shops sst, shdb_projekte prj
 WHERE sst.sst_sta_id = sta.sta_id
   AND prj.prj_id(+) = sst.sst_prj_id
   AND (   :p5_sta_strasse IS NULL
        OR INSTR (UPPER (sta.sta_strasse_neu), UPPER (:p5_sta_strasse)) > 0
       )
   AND (   :p5_sta_ort IS NULL
        OR INSTR (UPPER (sta.sta_ort_neu), UPPER (:p5_sta_ort)) > 0
       )
   AND (   :p5_sta_kostenstelle IS NULL
        OR sta_kst_id IN (
                    SELECT kst_id
                      FROM shdb_kostenstellen
                     WHERE UPPER (kst_nummer) = UPPER (:p5_sta_kostenstelle))
       );

	   