SET LINES  120
SET pagesize 3000
SET trimspool ON
SET trimout   ON
COLUMN sql_text FORMAT a40 word_wrapped HEAD 'SQL|Text'
COLUMN cpu_time       HEAD 'CPU|Time'
COLUMN elapsed_time   HEAD 'Elapsed|Time'
COLUMN disk_reads     HEAD 'Disk|Reads'
COLUMN buffer_gets    HEAD 'Buffer|Gets'
COLUMN rows_processed HEAD 'Rows|Processed'
TTITLE 'SQL-Statements nach CPU-Nutzung'
SELECT * FROM 
     (SELECT sql_text, 
             cpu_time/1000000000 cpu_time, 
             elapsed_time/1000000000 elapsed_time, 
             disk_reads, 
             buffer_gets, 
             rows_processed 
      FROM   v$sqlarea 
      ORDER BY cpu_time DESC
) 
WHERE rownum <=25;
